Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CassandraDaemon

    java.lang.Object
      org.apache.cassandra.thrift.CassandraDaemon

    public class CassandraDaemon

extends java.lang.Object

This class supports two methods for creating a Cassandra node daemon, invoking the class's main method, and using the jsvc wrapper from commons-daemon, (for more information on using this class with the jsvc wrapper, see the Commons Daemon documentation).

Constructor Summary
`CassandraDaemon()`

Method Summary
`void` | `destroy()` hook for JSVC
`void` | `init(java.lang.String[] args)` hook for JSVC
`static void` | `main(java.lang.String[] args)`
`void` | `start()` hook for JSVC
`void` | `stop()` hook for JSVC

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CassandraDaemon

    public CassandraDaemon()

Method Detail

### init

    public void init(java.lang.String[] args)
              throws java.io.IOException,
                     org.apache.thrift.transport.TTransportException

  hook for JSVC

  Throws:
    `java.io.IOException`
    `org.apache.thrift.transport.TTransportException`

### start

    public void start()

  hook for JSVC

### stop

    public void stop()

  hook for JSVC

### destroy

    public void destroy()

  hook for JSVC

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation